Package org.apache.sling.scripting.sightly.impl.html.dom.template

## Class TemplateElementNode

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.html.dom.template.TemplateNode
  - - org.apache.sling.scripting.sightly.impl.html.dom.template.TemplateElementNode

Direct Known Subclasses:
  `Template`

    public class TemplateElementNode
    extends TemplateNode

### Constructor Summary

Constructors
`TemplateElementNode​(String name, boolean hasEndSlash, List<TemplateAttribute> attributes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addChild​(TemplateNode node)`
`List<TemplateAttribute>` `getAttributes()`
`List<TemplateNode>` `getChildren()`
`String` `getName()`
`boolean` `hasEndSlash()`
`boolean` `isHasEndElement()`
`boolean` `isStartElement()`
`void` `setHasEndElement()`
`void` `setHasStartElement()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TemplateElementNode

    public TemplateElementNode​(String name,
                               boolean hasEndSlash,
                               List<TemplateAttribute> attributes)

### Method Detail

#### setHasStartElement

    public void setHasStartElement()

#### setHasEndElement

    public void setHasEndElement()

#### getName

    public String getName()

#### hasEndSlash

    public boolean hasEndSlash()

#### isStartElement

    public boolean isStartElement()

#### isHasEndElement

    public boolean isHasEndElement()

#### getAttributes

    public List<TemplateAttribute> getAttributes()

#### addChild

    public void addChild​(TemplateNode node)

#### getChildren

    public List<TemplateNode> getChildren()